Name:           perl-Test2
Version:        0.000044
Release:        3%{?dist}
Summary:        Framework for writing test tools that all work together
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2/
Source0:        http://backpan.perl.org/authors/id/E/EX/EXODIST/Test2-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::SysV)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(PerlIO)
BuildRequires:  perl(threads)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# IPC::SysV is needed if requested explictly, see `die "IPC has been requested'
Requires:       perl(IPC::SysV)

%description
Test2 is a new Perl testing framework produced by forking Test::Builder,
completely refactoring it, adding many new features and capabilities.

%prep
%setup -q -n Test2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%{make_build}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes Examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jun 03 2020 Petr Pisar <ppisar@redhat.com> - 0.000044-3
- The sources moved to backpan

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000044-2
- Perl 5.24 rebuild

* Mon May 02 2016 Petr Pisar <ppisar@redhat.com> - 0.000044-1
- 0.000044 bump

* Mon Apr 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000042-1
- 0.000042 bump

* Thu Apr 14 2016 Petr Pisar <ppisar@redhat.com> - 0.000041-1
- 0.000041 bump

* Mon Apr 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000040-1
- 0.000040 bump

* Tue Apr 05 2016 Petr Pisar <ppisar@redhat.com> - 0.000039-1
- 0.000039 bump

* Mon Apr 04 2016 Petr Pisar <ppisar@redhat.com> - 0.000038-1
- 0.000038 bump

* Tue Mar 29 2016 Petr Pisar <ppisar@redhat.com> - 0.000036-1
- 0.000036 bump

* Mon Mar 21 2016 Petr Pisar <ppisar@redhat.com> - 0.000031-1
- 0.000031 bump

* Wed Mar 16 2016 Petr Pisar <ppisar@redhat.com> - 0.000030-1
- 0.000030 bump

* Thu Mar 10 2016 Petr Pisar <ppisar@redhat.com> - 0.000029-1
- 0.000029 bump

* Tue Mar 08 2016 Petr Pisar <ppisar@redhat.com> - 0.000027-1
- 0.000027 bump

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 0.000026-1
- 0.000026 bump

* Wed Feb 10 2016 Petr Pisar <ppisar@redhat.com> 0.000025-1
- Specfile autogenerated by cpanspec 1.78.
